package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.sys.vo.SysChargeCategoryPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.SysChargeCategoryDO;

import java.util.List;


/**
 * 收费项目分类表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2024-06-06 09:18:51
 */
public interface SysChargeCategoryService {


    void add(SysChargeCategoryDO sysChargeCategory);

    PageResult<SysChargeCategoryDO> findPage(SysChargeCategoryPageReqVO pageReqVO);

    SysChargeCategoryDO getInfoById(Long id);

    void edit(SysChargeCategoryDO sysChargeCategory);

    void delete(Long id);

    SysChargeCategoryDO getTreeById(Long id);


    List<SysChargeCategoryDO> getTree(Long[] tenantId, Integer orgType, Integer type);
}

